<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotProgressIndicatorMetadata\BotPlanningStepMetadata;

use UnexpectedValueException;




class PlanningStepStatus
{
    


    const UNKNOWN = 0;
    


    const PLANNED = 1;
    


    const EXECUTING = 2;
    


    const FINISHED = 3;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::PLANNED => 'PLANNED',
        self::EXECUTING => 'EXECUTING',
        self::FINISHED => 'FINISHED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

